Bug 151129 - Authentication Server field should be optional, not mandatory for Domain and ADS security
Authentication Server field should be optional, not mandatory for Domain and ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
RHEL3U7NAK
: FutureFeature
Depends On: 105045
Blocks: 189875
  Show dependency treegraph
 
Reported: 2005-03-15 03:03 EST by Nils Philippsen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2005-03-15 03:03:35 EST
+++ This bug was initially created as a clone of Bug #105045 +++

Description of problem:

When using Domain and ADS security, the "Preferences->Server
Settings->Security->Authentication Server" field must have a non-NULL value or
the tool doesn't let the user commit the settings, and brings up a dialog with
the text: "You must specify a password server when using 'ads', 'domain' or
'server' authentication."

This isn't strictly true, and is confusing to samba neophytes or infrequent
users (like myself). smb.conf permits a value of "*" to be entered to permit the
password server to be auto-located. The Windows clients that I've seen at the
companies I've worked at are configured to use auto-location (I don't even know
if it can be overridden). Presumably a nice benefit of this approach is that it
gives admins an option to change the server IP without needing to maintain the
clients.

At a minimum, the text of the dialog should be modified to indicate that "*" is
a permissible value for auto-location, since many users may not be familiar with
this detail of smb.conf's format.

A better solution (I think) would instead let the user select either
auto-location or manual setting with a ui control, and only permit the server
name to be entered if manual were chosen.
Comment 1 Nils Philippsen 2005-03-15 03:06:36 EST
Fix backported to RHEL3 in redhat-config-samba-1.0.16-4.
Comment 2 Nils Philippsen 2005-07-29 05:18:53 EDT
Fix backed out again in redhat-config-samba-1.0.16-5.
Comment 9 RHEL Product and Program Management 2007-10-19 15:06:22 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.